Summary:        LCDproc displays real-time system information on a 20x4 backlit LCD
Name:           lcdproc	
Version:        0.5.2
Release:        1%{?dist}
License:        GPL
Url:            http://lcdproc.omnipotent.net
Group:          System Environment/Libraries	
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         lcdproc-0.5.2-scripts.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen
BuildRequires:  graphviz

BuildRequires:  glibc-headers
BuildRequires:  libusb-devel
BuildRequires:  lirc-devel
BuildRequires:  ncurses-devel
BuildRequires:  nfs-utils-lib-devel
BuildRequires:  openldap-devel
BuildRequires:  pth-devel
BuildRequires:  xmlto
BuildRequires:  xosd-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel

%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif

Requires(post):  /sbin/chkconfig
Requires(postun):  /sbin/chkconfig



%description
LCDproc is a client/server suite inclduding drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216, 
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some 
devices connected to the LPT port: HD44780, STV5730, T6963, 
SED1520 and SED1330. Various clients are available that display 
things like CPU load, system load, memory usage, uptime, and a lot more. 
See also http://lcdproc.omnipotent.net. 


%prep
%setup -q
%patch0 -p1 -b .initscripts
chmod 644 server/drivers/timing.h


%build
%configure --libdir=%{_libdir} \
  --enable-libusb \
  --enable-ldap \
  --enable-drivers=all \
  --enable-permissive-menu-goto \
  --enable-lcdproc-menus \
  --enable-stat-nfs \
  --enable-stat-smbfs \
  --with-lcdport=13666

sed -i -e 's|-L/usr/lib|-L%{_libdir}|g' Makefile
  
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
make install-html-guides DESTDIR=$RPM_BUILD_ROOT

# Fix docs
mkdir -p __doc/developer-guide
mkdir -p __doc/user-guide
install -m 0644 $RPM_BUILD_ROOT%{_datadir}/doc/lcdproc/user-guide/*  __doc/user-guide
install -m 0644 $RPM_BUILD_ROOT%{_datadir}/doc/lcdproc/developer-guide/*  __doc/developer-guide
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

# init
install -d $RPM_BUILD_ROOT%{_initrddir}
install -pm 0755 scripts/init-LCDd.rpm  $RPM_BUILD_ROOT%{_initrddir}/LCDd
install -pm 0755 scripts/init-lcdproc.rpm  $RPM_BUILD_ROOT%{_initrddir}/lcdproc



%post
if [ $1 -eq 1 ]; then
# Add init script and but don't start it
  /sbin/chkconfig --add LCDd 
  /sbin/chkconfig --add lcdproc ||:
fi


%preun
if [ $1 -eq 0 ]; then
# Disable driver on final removal
  %{_initrddir}/lcdproc stop &>/dev/null
  %{_initrddir}/LCDd stop &>/dev/null
  /sbin/chkconfig --del lcdproc
  /sbin/chkconfig --del LCDd  ||:
fi


%clean
rm -rf $RPM_BUILD_ROOT __doc

%files
%defattr(-,root,root,-)
%doc README* INSTALL COPYING CREDITS TODO ChangeLog
%doc docs/*.txt docs/README.* __doc/*
%{_bindir}/*
%dir %{_libdir}/lcdproc
%{_libdir}/lcdproc/*
%{_sbindir}/*
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/*.conf
%{_initrddir}/LCDd
%{_initrddir}/lcdproc


%changelog
* Sat May 19 2007 kwizart < kwizart at gmail.com > 0.5.2-1
- Update to 0.5.2
- Add BR
- Install docs

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > 0.5.1-1
- Cleaned spec files for Fedora guidelines.

* Fri Sep 26 2003 TC Wan <tcwan@cs.usm.my>
- Fixed spec file for RH 9, made metar dependency optional

* Sun Oct  6 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.3-2mdk
- Add docs

* Thu Sep 12 2002 Nicolas Chipaux <chipaux@mandrakesoft.com> 0.4.3-1mdk
- new release

* Fri Oct 26 2001 Rex Dieter <rdieter@unl.edu> 0.4.1-1
- --enable-stat-smbfs
- TODO: make server/client init scripts

* Mon Oct 22 2001 Rex Dieter <rdieter@unl.edu> -0
- first try, 0.4.1 
- --enable-stat-nfs

